# Uses of Class
it.tdlight.jni.TdApi.Video

## Uses of TdApi.Video in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.Video
Modifier and Type
Field
Description
`TdApi.Video`
TdApi.InlineQueryResultVideo.`video`
Video.
`TdApi.Video`
TdApi.MessageExtendedMediaVideo.`video`
The video.
`TdApi.Video`
TdApi.MessageVideo.`video`
The video description.
`TdApi.Video`
TdApi.PageBlockVideo.`video`
Video file; may be null.
`TdApi.Video`
TdApi.PushMessageContentVideo.`video`
Message content; may be null.
`TdApi.Video`
TdApi.WebPage.`video`
Preview of the content as a video, if available; may be null.
Constructors in it.tdlight.jni with parameters of type TdApi.Video
Modifier
Constructor
Description
``
`InlineQueryResultVideo(String id, TdApi.Video video, String title, String description)`
Represents a video.
``
`MessageExtendedMediaVideo(TdApi.Video video, TdApi.FormattedText caption)`
The media is a video.
``
`MessageVideo(TdApi.Video video, TdApi.FormattedText caption, boolean hasSpoiler, boolean isSecret)`
A video message.
``
`PageBlockVideo(TdApi.Video video, TdApi.PageBlockCaption caption, boolean needAutoplay, boolean isLooped)`
A video.
``
`PushMessageContentVideo(TdApi.Video video, String caption, boolean isSecret, boolean isPinned)`
A video message.
``
`WebPage(String url, String displayUrl, String type, String siteName, String title, TdApi.FormattedText description, TdApi.Photo photo, String embedUrl, String embedType, int embedWidth, int embedHeight, int duration, String author, boolean hasLargeMedia, boolean showLargeMedia, boolean skipConfirmation, boolean showAboveText, TdApi.Animation animation, TdApi.Audio audio, TdApi.Document document, TdApi.Sticker sticker, TdApi.Video video, TdApi.VideoNote videoNote, TdApi.VoiceNote voiceNote, long storySenderChatId, int storyId, int instantViewVersion)`
Describes a link preview.